Full name: projects.locations.instances.caseStageDefinitions.create
Creates a new CaseStageDefinition. Use this method to add a new phase to the investigation lifecycle. Each stage must have a unique display name and a unique order value.
HTTP request
POST https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/caseStageDefinitions Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this CaseStageDefinition will be created. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains an instance of CaseStageDefinition.
Response body
If successful, the response body contains a newly created instance of CaseStageDefinition.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.caseStageDefinitions.update
For more information, see the IAM documentation.